GDCM: gdcm::NormalizedNetworkFunctions Class Reference

GDCM 3.0.25

Static Public Member Functions | List of all members
gdcm::NormalizedNetworkFunctions Class Reference

Normalized Network Functions. More...

`#include <gdcmNormalizedNetworkFunctions.h>`

## Static Public Member Functions
static BaseQuery * | ConstructQuery (const std::string &sopInstanceUID, const DataSet &queryds, ENQueryType queryType=eCreateMMPS)
static bool | NAction (const char *remote, uint16_t portno, const BaseQuery *query, std::vector< DataSet > &retDataSets, const char *aetitle, const char *call)
static bool | NCreate (const char *remote, uint16_t portno, BaseQuery *query, std::vector< DataSet > &retDataSets, const char *aetitle, const char *call)
static bool | NDelete (const char *remote, uint16_t portno, const BaseQuery *query, std::vector< DataSet > &retDataSets, const char *aetitle, const char *call)
static bool | NEventReport (const char *remote, uint16_t portno, const BaseQuery *query, std::vector< DataSet > &retDataSets, const char *aetitle, const char *call)
static bool | NGet (const char *remote, uint16_t portno, const BaseQuery *query, std::vector< DataSet > &retDataSets, const char *aetitle, const char *call)
static bool | NSet (const char *remote, uint16_t portno, const BaseQuery *query, std::vector< DataSet > &retDataSets, const char *aetitle, const char *call)

## Detailed Description

Normalized Network Functions.

These functions provide a generic API to the DICOM functions implemented in GDCM. Advanced users can use this code as a template for building their own versions of these functions (for instance, to provide progress bars or some other way of handling returned query information), but for most users, these functions should be sufficient to interface with a PACS to a local machine. Note that these functions are not contained within a static class or some other class-style interface, because multiple connections can be instantiated in the same program. The DICOM standard is much more function oriented rather than class oriented in this instance, so the design of this API reflects that functional approach. These functions implements the following SCU operations:

- N-EVENT-REPORT
- N-GET
- N-SET
- N-ACTION
- N-CREATE
- N-DELETE

## Member Function Documentation

## ◆ ConstructQuery()

static BaseQuery * gdcm::NormalizedNetworkFunctions::ConstructQuery | ( | const std::string & | sopInstanceUID,
|  | const DataSet & | queryds,
|  | ENQueryType | queryType = eCreateMMPS )
| static

References gdcm::eCreateMMPS.

## ◆ NAction()

static bool gdcm::NormalizedNetworkFunctions::NAction | ( | const char * | remote,
|  | uint16_t | portno,
|  | const BaseQuery * | query,
|  | std::vector< DataSet > & | retDataSets,
|  | const char * | aetitle,
|  | const char * | call )
| static

## ◆ NCreate()

static bool gdcm::NormalizedNetworkFunctions::NCreate | ( | const char * | remote,
|  | uint16_t | portno,
|  | BaseQuery * | query,
|  | std::vector< DataSet > & | retDataSets,
|  | const char * | aetitle,
|  | const char * | call )
| static

## ◆ NDelete()

static bool gdcm::NormalizedNetworkFunctions::NDelete | ( | const char * | remote,
|  | uint16_t | portno,
|  | const BaseQuery * | query,
|  | std::vector< DataSet > & | retDataSets,
|  | const char * | aetitle,
|  | const char * | call )
| static

## ◆ NEventReport()

static bool gdcm::NormalizedNetworkFunctions::NEventReport | ( | const char * | remote,
|  | uint16_t | portno,
|  | const BaseQuery * | query,
|  | std::vector< DataSet > & | retDataSets,
|  | const char * | aetitle,
|  | const char * | call )
| static

## ◆ NGet()

static bool gdcm::NormalizedNetworkFunctions::NGet | ( | const char * | remote,
|  | uint16_t | portno,
|  | const BaseQuery * | query,
|  | std::vector< DataSet > & | retDataSets,
|  | const char * | aetitle,
|  | const char * | call )
| static

## ◆ NSet()

static bool gdcm::NormalizedNetworkFunctions::NSet | ( | const char * | remote,
|  | uint16_t | portno,
|  | const BaseQuery * | query,
|  | std::vector< DataSet > & | retDataSets,
|  | const char * | aetitle,
|  | const char * | call )
| static

The documentation for this class was generated from the following file:

- gdcmNormalizedNetworkFunctions.h